[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# AddDataModule

Handler called when a new TDataModule instance is created.

## Declaration

Source position: classesh.inc line 1940

`var AddDataModule: procedure(`
`DataModule: TDataModule`
`) of object;`

## Description

AddDataModule can be set by an IDE or a streaming mechanism to receive notification when a new instance of a TDataModule descendent is created.

## See also

RemoveDataModule |  | Handler called when a TDataModule instance is freed.
TDataModule |  | Container for non-visual components.

Documentation generated on: Feb 26 2014